Bug 69422 - New port: the Equeue OCaml library
Summary: New port: the Equeue OCaml library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-22 10:50 UTC by David JULIEN
Modified: 2004-12-28 22:41 UTC (History)
0 users

See Also:


Attachments
port-equeue.shar (15.37 KB, text/plain)
2004-07-22 10:50 UTC, David JULIEN
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David JULIEN 2004-07-22 10:50:08 UTC
Equeue contains a generic implementation of queues of events of any type, and a 
specific implementation of queues of file descriptor events.

The generic module allows to associate an event queue with an event source, and 
one or several event handlers. The event source generates new events that are 
triggered from the outer world. The handlers consume events, but it is allowed 
that handlers also generate events.
The module for file descriptor events already defines an event source; this 
source watches registered file descriptors and produces events if a descriptor 
wants to deliver data, or if a descriptor is ready to accept data. As in the 
generic module, the handlers consume the events.

The concept of engines is suggested to construct event-driven programs in a 
systematic way. There are already a number of basic engines (polling, copying, 
connecting with a network service, accepting connections, SOCKS), and a number 
of operations for engines (sequential execution, synchronization).  

It is possible to let Equeue cooperate with the event queue implementation of 
Tcl.  Now, also the Shell library is included in the Equeue distribution.
Comment 1 Tilman Keskinoz freebsd_committer 2004-07-23 07:16:48 UTC
Class Changed
From-To: maintainer-update->change-request

New ports are change-requests
Comment 2 Thierry Thomas freebsd_committer 2004-12-28 22:38:51 UTC
State Changed
From-To: open->closed


New port added, thanks! 

Note: with some modifications. 

Question: since tcl-8.4 already is a dependence of ocaml, 
would'nt it be better to define WITH_EQUEUE_TCL by default?